# -*- encoding: utf-8 -*-
# stub: hashdiff 0.2.3 ruby lib

Gem::Specification.new do |s|
  s.name = "hashdiff"
  s.version = "0.2.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Liu Fengyun"]
  s.date = "2015-11-05"
  s.description = " HashDiff is a diff lib to compute the smallest difference between two hashes. "
  s.email = ["liufengyunchina@gmail.com"]
  s.files = [".gitignore", ".rspec", ".travis.yml", ".yardopts", "Gemfile", "LICENSE", "README.md", "Rakefile", "changelog.md", "hashdiff.gemspec", "lib/hashdiff.rb", "lib/hashdiff/diff.rb", "lib/hashdiff/lcs.rb", "lib/hashdiff/patch.rb", "lib/hashdiff/util.rb", "lib/hashdiff/version.rb", "spec/hashdiff/best_diff_spec.rb", "spec/hashdiff/diff_array_spec.rb", "spec/hashdiff/diff_spec.rb", "spec/hashdiff/lcs_spec.rb", "spec/hashdiff/patch_spec.rb", "spec/hashdiff/util_spec.rb", "spec/spec_helper.rb"]
  s.homepage = "https://github.com/liufengyun/hashdiff"
  s.licenses = ["MIT"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.7")
  s.rubygems_version = "2.4.5.1"
  s.summary = "HashDiff is a diff lib to compute the smallest difference between two hashes."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rspec>, ["~> 2.0"])
      s.add_development_dependency(%q<yard>, [">= 0"])
      s.add_development_dependency(%q<bluecloth>, [">= 0"])
    else
      s.add_dependency(%q<rspec>, ["~> 2.0"])
      s.add_dependency(%q<yard>, [">= 0"])
      s.add_dependency(%q<bluecloth>, [">= 0"])
    end
  else
    s.add_dependency(%q<rspec>, ["~> 2.0"])
    s.add_dependency(%q<yard>, [">= 0"])
    s.add_dependency(%q<bluecloth>, [">= 0"])
  end
end
